Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 459006 - isnull and and isnotnull are missing from boolean chart types
Summary: isnull and and isnotnull are missing from boolean chart types
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Query/Bug List
Version: 3.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-13 18:30 UTC by David Lawrence
Modified: 2013-06-24 04:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-14 15:56:37 UTC


Attachments (Terms of Use)
Patch to add isnull and isnotnull to boolean charts (v1) (2.28 KB, patch)
2008-08-13 18:35 UTC, David Lawrence
nelhawar: review+
Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Mozilla Foundation 345194 0 None None None 2019-05-06 10:20:14 UTC

Description David Lawrence 2008-08-13 18:30:28 UTC
Description of problem:

Before the bugzilla upgrade, I used to be able to query for bugzilla's 
where:

issuetracker isnotnull

which would give me all of the bugzilla's that had an associated 
issuetracker.

The new interface doesn't seem to support "isnotnull" as a valid value 
for boolean expressions, so my canned queries are *broken* now.

Comment 1 David Lawrence 2008-08-13 18:35:41 UTC
Created attachment 314231 [details]
Patch to add isnull and isnotnull to boolean charts (v1)

Patch that adds support for isnull and isnotnull to the boolean charts section. I have tested it on bz-web2-test and it properly displays bugs with or without issuetrackers attached to them.

Please review

Dave

Comment 2 David Lawrence 2008-08-13 19:31:54 UTC
From: Eric Sammons

Dave,

thank you, this is exactly what I was looking for.  I do have one more question, is there anyway to negate private bz (so that only public are returned) and how does one tell if a bz is embargoed and if there is a flag or something to key off of can those be excluded along with the private BZs?

thank you!

---

Testing to see if fix for this bug will work for this request as well since it should be similar.

Dave

Comment 3 Todd Sanders 2008-08-14 13:37:43 UTC
Dave,

Thanks!  I tested my queries against bz-web2-test, and all appears to be working.  When can we get this change committed to production?

-Todd

Comment 4 Noura El hawary 2008-08-14 14:30:19 UTC
Comment on attachment 314231 [details]
Patch to add isnull and isnotnull to boolean charts (v1)

Hey Dave,,

Patch looks good and works fine , just a little nit pik,

>+  { name => "matches", description => "matches" },
>+  { name => "isnull", description => "Is Null" },
>+  { name => "isnotnull", description => "Is Not Null" }] %]

shall we make Is Null and Is Not Null all small letters to be consistent with other boolean chart options.

Noura

Comment 5 David Lawrence 2008-08-14 15:56:37 UTC
Thanks Noura. I changed the descriptions to lower case before I checked in.
Will be in the next update (today).

Dave

Comment 6 Frédéric Buclin 2008-08-22 00:17:16 UTC
https://bugzilla.mozilla.org/show_bug.cgi?id=345194 is our upstream bug related to this issue. This patch should go away when the upstream bug is fixed (or be proposed there).


Note You need to log in before you can comment on or make changes to this bug.